org.codehaus.groovy.tools.groovydoc

## Class LinkArgument

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.LinkArgument

    public class LinkArgument
    extends java.lang.Object

Represents a link pair (href, packages). The packages are comma separated.

### Constructor Summary

Constructors
Constructor and Description
`LinkArgument()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getHref()` Get the href attribute.
`java.lang.String` `getPackages()` Get the packages attribute.
`void` `setHref(java.lang.String hr)` Set the href attribute.
`void` `setPackages(java.lang.String packages)` Set the packages attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LinkArgument

    public LinkArgument()

### Method Detail

#### getPackages

    public java.lang.String getPackages()

Get the packages attribute.

Returns:
  the packages attribute.

#### setPackages

    public void setPackages(java.lang.String packages)

Set the packages attribute.

Parameters:
  `packages` - the comma separated package prefixes corresponding to this link

#### getHref

    public java.lang.String getHref()

Get the href attribute.

Returns:
  the href attribute.

#### setHref

    public void setHref(java.lang.String hr)

Set the href attribute.

Parameters:
  `hr` - a `String` value representing the URL to use for this link